| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::timed_listener< attached_event, listening_function > Class Template Reference

A timed_listener is a way to temporarily attach to an event for a specific timeframe, then detach when complete. A lambda may also be optionally called when the timeout is reached. Destructing the timed_listener detaches any attached event listeners, and cancels any created timers, but does not call any timeout lambda. More...

`#include <timed_listener.h>`

Inheritance diagram for dpp::timed_listener< attached_event, listening_function >:
[legend]

## Public Member Functions

| timed_listener (cluster *cl, uint64_t _duration, attached_event &event, listening_function listener, timer_callback_t on_end={})
| Construct a new timed listener object.
| ~timed_listener ()
| Destroy the timed listener object.

## Detailed Description

template<typename attached_event, class listening_function>
class dpp::timed_listener< attached_event, listening_function >

A timed_listener is a way to temporarily attach to an event for a specific timeframe, then detach when complete. A lambda may also be optionally called when the timeout is reached. Destructing the timed_listener detaches any attached event listeners, and cancels any created timers, but does not call any timeout lambda.

Template Parameters

  attached_event | Event within cluster to attach to within the cluster::dispatch member (dpp::dispatcher object)
  listening_function | Definition of lambda function that matches up with the attached_event.

## Constructor & Destructor Documentation

## ◆ timed_listener()

template<typename attached_event, class listening_function>

dpp::timed_listener< attached_event, listening_function >::timed_listener | ( | cluster * | cl,
|  | uint64_t | _duration,
|  | attached_event & | event,
|  | listening_function | listener,
|  | timer_callback_t | on_end = {} )

inline

Construct a new timed listener object.

Parameters

  cl | Owning cluster
  _duration | Duration of timed event in seconds
  event | Event to hook, e.g. cluster.on_message_create
  on_end | An optional void() lambda to trigger when the timed_listener times out. Calling the destructor before the timeout is reached does not call this lambda.
  listener | Lambda to receive events. Type must match up properly with that passed into the 'event' parameter.

## ◆ ~timed_listener()

template<typename attached_event, class listening_function>

dpp::timed_listener< attached_event, listening_function >::~timed_listener | ( |  | ) |

inline

Destroy the timed listener object.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0